Skip to content
GET /unified/accounting/credit_notes/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for credit notes

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
companystring

The company of the credit note

References: CompanyInfo → id
2 supported
Microsoft Dynamics 365 Business Central
supported
Zoho Books
supported
contactstring

The contact of the credit note

References: Contacts → id
4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
created_atstring · date-time

This represents the date when the credit note was created

3 supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
currencystring

The currency of the credit note

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
line_itemsobject[]

The line items of the credit note

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
accountstring

The ID of the account

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

numberstring

The number of the credit note

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
paymentsstring[]

The payments of the credit note

References: Payments → id
remaining_creditnumber

The remaining credit of the credit note

3 supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the credit note

Possible values:
paidsubmittedauthorisedvoided
3 supported
Microsoft Dynamics 365 Business Central
supported
Xero
supported
Zoho Books
supported
total_amountnumber

The total amount of the credit note

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
tracking_categoriesobject[]

Tracking categories of the credit notes

2 supported
Microsoft Dynamics 365 Business Central
supported
Xero
supported
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

transaction_datestring · date-time

The transaction date of the credit note

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
updated_atstring · date-time

This represents the date when the credit note was updated

4 supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
curl -X GET 'https://api.truto.one/unified/accounting/credit_notes/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/credit_notes/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/credit_notes/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'accounting',
  'creditnotes',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "accounting",
        "creditnotes",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())